package com.steerinfo.ems.usagedata.service;

import com.steerinfo.framework.service.IBaseService;

import java.util.HashMap;
import java.util.List;

import com.steerinfo.ems.usagedata.model.UsageData;

/**
 * UsageData服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-11-06 10:53
 * 类描述
 * 修订历史：
 * 日期：2019-11-06
 * 作者：generator
 * 参考：
 * 描述：UsageData服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IUsageDataService extends IBaseService<UsageData, String>{

    List<UsageData> selectDataCodeAndDt(HashMap<String, Object> m);

    /**
     * 统计自动上传的能源上报数据
     * 
     * @param clock 统计日期
     * @return
     */
    String getAutoSum(String clock);

    /**
     * 修改状态为1（已上传）
     * @param model
     * @return
     */
    int updateState(UsageData model);

    /**
     * 获取能源数据
     * @return
     */
    List<UsageData> getEmsData();

    /**
     * 定时任务：自动_能源上报_晋泰信和
     */
    void autoUpload();

    /**
     * 重新计算能源采集数据
     * @param dt
     * @param dataCode
     */
	void restatData(String dt, String dataCode);
}